[Pkg-kde-commits] rev 1669 - trunk/packages/qt-x11-free/debian/patches

Adeodato Simó adeodato at costa.debian.org
Sun Sep 4 22:39:19 UTC 2005


Author: adeodato
Date: 2005-09-04 22:39:19 +0000 (Sun, 04 Sep 2005)
New Revision: 1669

Added:
   trunk/packages/qt-x11-free/debian/patches/08_thread_default.dpatch
Modified:
   trunk/packages/qt-x11-free/debian/patches/00list
Log:
This was part of removing the non-threaded libraries.


Modified: trunk/packages/qt-x11-free/debian/patches/00list
===================================================================
--- trunk/packages/qt-x11-free/debian/patches/00list	2005-09-04 22:37:03 UTC (rev 1668)
+++ trunk/packages/qt-x11-free/debian/patches/00list	2005-09-04 22:39:19 UTC (rev 1669)
@@ -4,6 +4,7 @@
 05_qvfb_cpp
 06_disable_rpath
 08_arm_gcc4
+08_thread_default
 09_amd64_lib64
 14_fix_kmenu
 15_unify_declarations_glibc

Added: trunk/packages/qt-x11-free/debian/patches/08_thread_default.dpatch
===================================================================
--- trunk/packages/qt-x11-free/debian/patches/08_thread_default.dpatch	2005-09-04 22:37:03 UTC (rev 1668)
+++ trunk/packages/qt-x11-free/debian/patches/08_thread_default.dpatch	2005-09-04 22:39:19 UTC (rev 1669)
@@ -0,0 +1,32 @@
+#! /bin/sh -e
+
+if [ $# -lt 1 ]; then
+    echo "`basename $0`: script expects -patch|-unpatch as argument" >&2
+    exit 1
+fi
+
+[ -f debian/patches/00patch-opts ] && . debian/patches/00patch-opts
+patch_opts="${patch_opts:--f --no-backup-if-mismatch} ${2:+-d $2}"
+
+case "$1" in
+    -patch) patch -p1 ${patch_opts} < $0;;
+    -unpatch) patch -R -p1 ${patch_opts} < $0;;
+    *)
+        echo "`basename $0`: script expects -patch|-unpatch as argument" >&2
+        exit 1;;
+esac
+
+exit 0
+
+ at DPATCH@
+--- qt.orig/mkspecs/linux-g++/qmake.conf
++++ qt.patched/mkspecs/linux-g++/qmake.conf
+@@ -6,7 +6,7 @@
+ 
+ MAKEFILE_GENERATOR	= UNIX
+ TEMPLATE		= app
+-CONFIG			+= qt warn_on release incremental link_prl
++CONFIG			+= qt warn_on release incremental link_prl thread
+ QMAKE_INCREMENTAL_STYLE = sublib
+ 
+ QMAKE_CC		= gcc




More information about the pkg-kde-commits mailing list